## QmiClientWms

QmiClientWms — QmiClient for the WMS service.

## Signals

void | event-report | Run Last
void | smsc-address | Run Last

## Types and Values

struct | QmiClientWms

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientWms

## Description

QmiClient which handles operations in the WMS service.

## Functions

## Types and Values

### struct QmiClientWms

    struct QmiClientWms;

The QmiClientWms structure contains private data and should only be accessed using the provided API.

Since: 1.0

## Signal Details

### The `“event-report”` signal

    void
    user_function (QmiClientWms                      *object,
                   QmiIndicationWmsEventReportOutput *output,
                   gpointer                           user_data)

The ::event-report signal gets emitted when a 'Event Report' indication is received.

#### Parameters

object | A QmiClientWms. |
output | A QmiIndicationWmsEventReportOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.0

### The `“smsc-address”` signal

    void
    user_function (QmiClientWms                      *object,
                   QmiIndicationWmsSmscAddressOutput *output,
                   gpointer                           user_data)

The ::smsc-address signal gets emitted when a 'SMSC Address' indication is received.

#### Parameters

object | A QmiClientWms. |
output | A QmiIndicationWmsSmscAddressOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.14